Class | Ohcount::Gestalt::PlatformRule
In: | lib/gestalt/rules/platform_rule.rb
Parent: | Rule

states that a platform depends on another platform being true.

### Methods

new triggered?

### Attributes

platform | [R] |

### Public Class methods

new(platform)

[Source]

    # File lib/gestalt/rules/platform_rule.rb, line 9
                            def initialize(platform)
                                    @platform = platform
                            end

### Public Instance methods

triggered?(g_facts)

[Source]

    # File lib/gestalt/rules/platform_rule.rb, line 13
                            def triggered?(g_facts)
                                    g_facts.platforms.include?(platform)
                            end

[Validate]